WMWLMON(1)

NAME
wmwlmon - Wireless Monitor wmdockapp

SYNOPSIS
wmwlmon [-Dhvw] [-i interface] [-s scrolling] [-display display]

DESCRIPTION
wmwlmon is a wmdockapp which shows the state of a wireless network interface. In the title you see the network interface name and a led showing if the interface link is active. As next you see the signal strength from the conntected access point in dB (decibel). The bar shows the signal strength in percents. If the bar is full, it means that you have the full throughput of the bandwidth displayed in Mbps. As next you see the channel number. A red lock shines if WEP is enabled. The last line shows the network id.

If no interface is set at startup, wmwlmon scans all initialized interfaces until the first wireless interface is found and uses that.

OPTIONS

-D  Debug mode. Instead starting a wmdockapp, the data is sent to stdout.

-h  Prints short listing of wmwlmon options.

-v  Shows version.

-w  Enable WaveLAN compatibility. If a device is named wi* it gets recognized as WaveLAN device automatically. Otherwise you can force WaveLAN compatibility by this option.

-i interface
    Set interface.

-s scrolling
    Network id scrolling. If a network id is to long to display in the wmdockapp window it will be scrolled by default. The scrolling types are:

    -s 0
        Disable scrolling. Long network id's will be cut down to 8 characters.
    -s 1
        LCD scrolling (default). The network id moves from left to right separated by a space.
    -s 2
        Bounce scrolling. The network id moves from left to right and bounces back from right to left.
    -s 3
        Fade scrolling. The network id moves from left to right, fading out and begins again.

-display display
    Set display name.

HISTORY
First version of wmwlmon appeared in 2005.

THANKS
Thanks to Claudio Jeker, Marc Winiger, Marc Balmer, and Matthieu Herrb for their support.

AUTHORS
Marcus Glocker <marcus@nazgul.ch>

CAVEATS
As I can't test wmwlmon with every wireless chipset for which a driver exists, because I don't have them all, it is most possible that with some chipsets the behavement of wmwlmon is wrong, or some informations are missing. If you have such a chipset causing troubles, please report me, including a dmesg and a problem explanation.

Full supported devices known yet:

ath(4)
iwi(4)
ral(4)
upgt(4)
wi(4)
wpi(4)

Partial supported devices known yet:

atw(4)
ipw(4)